
QGIS Plugin Site - Bug report #6453

Publishing unauthorised plugins should not happen

2012-10-04 08:30 AM - Tim Sutton

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied:No

Description

To replicate:

- upload a plugin version

- mark the plugin as unauthorised

It seems the plugin is still available in the xml feed for some time after.

History

#1 - 2012-10-05 03:40 AM - Alessandro Pasotti

I couldn't reproduce locally, I think that it's a cache issue and I don't have any solution other than disable caching for the xml file.

I uploaded today the uncached version, please verify that the problem has gone.

#2 - 2012-10-05 07:09 AM - Paolo Cavallini

With the cache disabled, the listing of the plugins is really too slow to be usable. I think it is a too high cost.

#3 - 2012-10-05 07:56 AM - Alessandro Pasotti

- Status changed from Open to In Progress

Re-enabled cache.

No idea about how to solve this (minor) issue.

#4 - 2013-09-15 03:22 AM - Alessandro Pasotti

- Status changed from In Progress to Closed

No change required.
